import { Route, Routes } from 'react-router-dom'
import { BrowserRouter as Router } from 'react-router-dom'
import './app.css'
import { DefaultLayout } from './layouts'
import routes from './routes'
export function App() {
  return (
    <>
    <Router>
      <Routes>
        <Route element={<DefaultLayout />}>
          {routes.map(({ path, name, element}) => (
            <>
            <Route
              path={path}
              id={name}
              element={element} 
            />
            </>
          ))}
        </Route>
      </Routes>
    </Router>
    </>
  )
}
